Legrand / Raritan / Server Technology Xerus™ PDU JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
usermgmt::AccountChanged Struct Reference

This event is emitted if the settings of an account as defined in usermgmt::UserInfo have changed (Note: we may add an indication what in the structure has changed or even split the event, if handling is difficult) More...

Inheritance diagram for usermgmt::AccountChanged:

## Public Attributes
usermgmt::UserInfo | oldSettings
usermgmt::UserInfo | newSettings
Public Attributes inherited from usermgmt::AccountEvent
string | username
| name of user which was affected
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

This event is emitted if the settings of an account as defined in usermgmt::UserInfo have changed (Note: we may add an indication what in the structure has changed or even split the event, if handling is difficult)

The documentation for this struct was generated from the following file:

- UserManager.idl